# Probing scripts
These scripts are responsible of forging and sending IPv6 packets containing the various experimented extension headers. Moreover, results are collected into pcap files, to be analysed in offline.

Probing can work in two modes:
* **Cooperative mode**: probing between controlled source and destination nodes
* **Wild mode**: probing towards non-collaborative destinations

Both mode only required to mention destination IPv6 addresses in IPv6_dstAddr.txt.
## Prerequisites
* Fill IPv6_dstAddr.txt with a name, a listening port, the IPv6 of the destination, and a flowlabel for each destination host to test.
* Configure the tests by using config.py

## Run
In cooperative mode, you will need to use the following command on the destination host:
```bash
python3 start_receiver_script.py --i [interface] --host [IPv6 host addr] --pList [Ports to open]
```
This script is responsible of opening the ports, listed by pList but also record all incoming IPv6 packets. In wild mode, this script is not required.

After, the following command can be execute on the source to start performing tests:
```bash
sudo python3 start_test.py --i [interface] --skip [Name of exp to skip] (Optional)
```
