# --------------- General configurations ---------------
# Source port used to send probes
DEFAULT_SPORT = 33434 
# Path to the directory containing the results of the probing phase (scripts_tests)                         
RAWDATA_PATH = "../../../../data/Serie8/round1/results"
# L4 protocols to consider
PROTOCOLS = ['udp', 'tcp']
# Path to the directory containing the configuration files for the round
CONFIGDIR_PATH = "../../../../data/Serie8/round1/config_files"
# Path to the file containing the origin ASes of the different destination
DESTSINFOSFILE = "../../../../data/Serie8/round1/subset_1000.txt"

# --------------- Analyses configurations ---------------
# Data contain in the payload of the packets, except the ID (between \x00 bytes)
PAYLOADDATA = b'\x00mailto:example@abc.com\x00'
